PLplot: plplot_octave_rej.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
plplot_octave_rej.h File Reference

Go to the source code of this file.

## Functions
void | c_plcont (PLFLT **f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT *clevel, PLINT nlevel, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plfcont (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT *clevel, PLINT nlevel, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plimagefr (PLFLT **idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plmap (void(*mapform)(PLINT, PLFLT *, PLFLT *), char *type, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | plmeridians (void(*mapform)(PLINT, PLFLT *, PLFLT *), PLFLT dlong, PLFLT dlat, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | c_plshade (PLFLT **a, PLINT nx, PLINT ny, const char **defined, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | c_plshades (PLFLT **a, PLINT nx, PLINT ny, const char **defined, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT *clevel, PLINT nlevel, PLINT fill_width, PLINT cont_color, PLINT cont_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plshade1 (PLFLT *a, PLINT nx, PLINT ny, const char *defined, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plfshade (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLFLT(*c2eval)(PLINT, PLINT, PLPointer), PLPointer c2eval_data, PLINT nx, PLINT ny, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | c_plstripc (PLINT *id, char *xspec, char *yspec, PLFLT xmin, PLFLT xmax, PLFLT xjump, PLFLT ymin, PLFLT ymax, PLFLT xlpos, PLFLT ylpos, PLINT y_ascl, PLINT acc, PLINT colbox, PLINT collab, PLINT *colline, PLINT *styline, char *legline[], char *labx, char *laby, char *labtop)
void | c_plvect (PLFLT **u, PLFLT **v, PLINT nx, PLINT ny, PLFLT scale, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plsKeyEH (void(*KeyEH)(PLGraphicsIn *, void *, int *), void *KeyEH_data)
void | plsButtonEH (void(*ButtonEH)(PLGraphicsIn *, void *, int *), void *ButtonEH_data)
void | plsexit (int(*handler)(char *))

## Function Documentation

void c_plcont | ( | PLFLT ** | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void c_plshade | ( | PLFLT ** | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | const char ** | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void c_plshades | ( | PLFLT ** | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | const char ** | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | fill_width,
|  | PLINT | cont_color,
|  | PLINT | cont_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void c_plstripc | ( | PLINT * | id,
|  | char * | xspec,
|  | char * | yspec,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | xjump,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | xlpos,
|  | PLFLT | ylpos,
|  | PLINT | y_ascl,
|  | PLINT | acc,
|  | PLINT | colbox,
|  | PLINT | collab,
|  | PLINT * | colline,
|  | PLINT * | styline,
|  | char * | legline[],
|  | char * | labx,
|  | char * | laby,
|  | char * | labtop
| ) |  |

void c_plvect | ( | PLFLT ** | u,
|  | PLFLT ** | v,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | scale,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void plfcont | ( | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void plfshade | ( | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLFLT(*)(PLINT, PLINT, PLPointer) | c2eval,
|  | PLPointer | c2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void plimagefr | ( | PLFLT ** | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void plmap | ( | void(*)(PLINT, PLFLT *, PLFLT *) | mapform,
|  | char * | type,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

void plmeridians | ( | void(*)(PLINT, PLFLT *, PLFLT *) | mapform,
|  | PLFLT | dlong,
|  | PLFLT | dlat,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

Definition at line 396 of file plmap.c.

void plsButtonEH | ( | void(*)(PLGraphicsIn *, void *, int *) | ButtonEH,
|  | void * | ButtonEH_data
| ) |  |

Definition at line 3592 of file plcore.c.

void plsexit | ( | int(*)(char *) | handler | ) |

void plshade1 | ( | PLFLT * | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | const char * | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

void plsKeyEH | ( | void(*)(PLGraphicsIn *, void *, int *) | KeyEH,
|  | void * | KeyEH_data
| ) |  |

Definition at line 3582 of file plcore.c.